<?php
// ---- Start Dean ----

// ini_set('display_errors', 'On');
// error_reporting(E_ALL);
// if(!is_admin()){
// wp_deregister_script('jquery');
// wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js"), false, '2.1.0');
// wp_enqueue_script('jquery'); }

// ---- End Dean ----
// ---- Start ACF Functions ----

function my_acf_options_page_settings($settings) {
	$settings['title'] = 'Theme Options';
	$settings['pages'] = array('Home Page','Sidebar');
	return $settings;
}
add_filter('acf/options_page/settings', 'my_acf_options_page_settings');

// ---- End ACF Functions ----
// ---- Start Page Number & Custom Title ----

function get_page_number() {
	if (get_query_var('paged')) { return ' | ' . __( 'Page ' , 'thesis') . get_query_var('paged'); }
}  
function use_title($default_title) {
    $title = '';
	$author = get_userdata( get_query_var('author'));
    if (is_front_page()) { $title = get_bloginfo('name') . ' | ' . get_bloginfo('description') . ' | ' . 'Home'; }
	elseif (is_home()) { $title = get_bloginfo('name') . ' | ' . get_bloginfo('description') . ' | ' . get_page_number() . 'Blog' ; }
	elseif (is_single()) { $title = get_bloginfo('name') . ' | ' . get_bloginfo('description') . ' | ' . single_post_title('',FALSE)  ; }
	elseif (is_page()) { $title = get_bloginfo('name') . ' | ' . get_bloginfo('description') . ' | ' . get_page_number() . single_post_title('',FALSE) ; }
	elseif (is_category()) { $title = get_bloginfo('name') . ' | ' . get_bloginfo('description') . ' | ' . get_page_number() . single_cat_title('',FALSE) ; }
	elseif (is_tag()) { $title = get_bloginfo('name') . ' | ' . get_bloginfo('description') . ' | ' . get_page_number() . single_tag_title('',FALSE) ; }
	elseif (is_author()) { $title = get_bloginfo('name') . ' |' . get_bloginfo('description') . ' | Articles By '  . $author->display_name; }
	elseif (is_day()) { $title = get_bloginfo('name') . ' | ' . get_the_date('d F Y'); }
	elseif (is_month()) { $title = get_bloginfo('name') . ' | ' .  get_the_date('F Y'); }
	elseif (is_year()) { $title = get_bloginfo('name') . ' | ' .  get_the_date('Y'); }
	elseif (is_search()) { $title = get_bloginfo('name') . ' | Search Results For ' . the_search_query(); }
	elseif (is_404()) { $title = get_bloginfo('name') . ' | Page Not Found'; }
	else { $title = get_bloginfo('name') . ' | ' .get_bloginfo('description'); }
    return $title;	
}
add_filter('thesis_title_tag', 'use_title');  

// ---- End Page Number & Custom Title ----
// ---- Start Meta Data ----

function meta() { ?>

	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
 	<meta name="author" content="Dr. Dean M. Schroeder">   
	<meta name="web_author" content="John Marcello - Web Developer">
	<meta name="copyright" content="Dr. Dean M. Schroeder">
	<link rel="stylesheet" type="text/css" media="screen" href="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/custom.css">
	<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,300italic,700|Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
	<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,600,700,900,400italic,600italic,700italic,900italic' rel='stylesheet' type='text/css'>
	
	<?php }
	
add_action('wp_head','meta');

// ---- End Meta Data ----
// ---- Start Preload ----

function pre_load () { ?>
	<script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>
	<script src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/scripts/jquery.p7EHCscripts.js" type="text/javascript"></script>
	<script>
  		(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  		(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  		m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  		})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  		ga('create', 'UA-48970905-1', 'deanmschroeder.com');
  		ga('send', 'pageview');
	</script>
    <?php 
	if(is_front_page()) { ?>
	<script src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/scripts/jquery.caroufredsel.js" type="text/javascript"></script>
	<?php } 
    if(is_page('services')) { ?>
	<script type="text/javascript">
		jQuery(document).ready(function() {
		jQuery(".tab_content").hide();
 		jQuery("ul.tabs li:first").addClass("active").show();
 		jQuery(".tab_content:first").show();
		jQuery("ul.tabs li").click(function() {
		jQuery("ul.tabs li").removeClass("active");
		jQuery(this).addClass("active");
		jQuery(".tab_content").hide();
		var activeTab = $(this).find("a").attr("href"); 
		jQuery(activeTab+'_l, '+activeTab).fadeIn();
		return false;
		});
		if(location.hash!=''){
			setTimeout(function(){
				jQuery('.tabs a[href="'+location.hash+'"]').click();
			},200);
		}
 		});
		setTimeout(function() {
		  if (location.hash) {
			window.scrollTo(0, 0);
		  }
		}, 1);
 	</script>
	<?php }
	if(is_single()) { ?>
	<script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
	<script type="text/javascript">stLight.options({publisher: "ur-9dd0d921-9880-cc6a-4c10-7b0edee3d2b3", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
	<?php }
}
add_action('wp_head','pre_load');

// ---- End Preload ----
// ---- Start Mobile Area ----

function mobile_area() { ?>

	<div class="inner mobile">
		<div id="nav-mobi">
			<div class="nav_bar">
            	<div class="flip"></div>
				<div class="panel" style="overflow: hidden; display: none;">
					<div id="nav" class="menu-mobile-container">
                    	<ul id="menu-mobile" class="menu">
                    		<li class="first"><a href="<?php bloginfo('url'); ?>">Home</a></li>
							<li<?php if(is_page('about')) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/about">About</a></li>
							<li<?php if(is_page('services')) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/services">Services</a></li>
							<li<?php if(is_page('publications')) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/publications">Publications</a></li>
							<li<?php if(is_home() || is_single() || is_archive()) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/blog">Blog</a></li>
							<li class="last<?php if(is_page('contact')) { ?> current_page_item<?php } ?>"><a href="<?php bloginfo('url'); ?>/contact">Contact</a></li>
						</ul>
                    </div>
				</div>
            </div>
            <div class="social">
            	<a target="_blank" href="https://www.facebook.com/dean.schroeder.98">
					<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_facebook_white.png" alt="Facebook">
				</a>
				<a target="_blank" href="https://twitter.com/deanmschroeder">
					<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_twitter_white.png" alt="Twitter">
				</a>
				<a target="_blank" href="http://www.linkedin.com/pub/dean-schroeder/6/937/337">
					<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_linkedin_white.png" alt="Linked In">
				</a>
				<a href="http://www.deanmschroeder.com/contact">
					<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_email_white.png" alt="Contact">
				</a>
				<a href="http://www.deanmschroeder.com/rss">
					<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_rss_white.png" alt="RSS Feed">
				</a>
            </div>
            <div class="clear"></div>
		</div>
		<script>
		jQuery(document).ready(function($) {
			jQuery(".flip").click(function(){
			jQuery(".panel").slideToggle("fast");
  			});
		});
		</script>
	</div>
	<div class="clear"></div>
	
<?php }

add_filter('thesis_hook_container_mobile_wrapper_top', 'mobile_area');

// ---- End Mobile Area ----
// ---- Start Header Area ----

function header_area() { ?>

	<div class="inner screen">
    	<table border="0" cellpadding="0" cellspacing="0" width="100%" align="center" class="tbl_header">
        	<tr>
            	<td class="logo">
                	<h1 class="screen">
                    	<a title="Home" href="<?php bloginfo('url'); ?>">
                    		<img class="flex" src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/logo.png" alt="<?php bloginfo('name'); ?>" />
                   		</a>
                    </h1>
                    <h1 class="mobile">
                    	<a title="Home" href="<?php bloginfo('url'); ?>/">
                            <img class="flex" src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/logo_mobile.png" alt="<?php bloginfo('name'); ?>" />
                   		</a>
                    </h1>
				</td>
                <td class="grid">
                	<div class="social">
						<a target="_blank" href="https://www.facebook.com/dean.schroeder.98">
                            <img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_facebook_white.png" alt="Facebook">
						</a>
						<a target="_blank" href="https://twitter.com/deanmschroeder">
							<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_twitter_white.png" alt="Twitter">
						</a>
						<a target="_blank" href="http://www.linkedin.com/pub/dean-schroeder/6/937/337">
							<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_linkedin_white.png" alt="Linked In">
						</a>
						<a href="http://www.deanmschroeder.com/contact">
							<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_email_white.png" alt="Contact">
						</a>
						<a href="http://www.deanmschroeder.com/rss">
							<img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_rss_white.png" alt="RSS Feed">
						</a>
					</div>
					<ul id="menu-primary" class="menu">
                    	<li class="first"><a href="<?php bloginfo('url'); ?>">Home</a></li>
						<li<?php if(is_page('about')) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/about">About</a></li>
						<li<?php if(is_page('services')) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/services">Services</a></li>
						<li<?php if(is_page('publications')) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/publications">Publications</a></li>
						<li<?php if(is_home() || is_single() || is_archive()) { ?> class="current_page_item"<?php } ?>><a href="<?php bloginfo('url'); ?>/blog">Blog</a></li>
						<li class="last<?php if(is_page('contact')) { ?> current_page_item<?php } ?>"><a href="<?php bloginfo('url'); ?>/contact">Contact</a></li>
					</ul>
                </td>
            </tr>
        </table>
    </div>
	<? }
	
add_filter('thesis_hook_container_header_wrapper_top', 'header_area');

// ---- End Header Area ----
// ---- Start Slider Area ----

function slider_area() { 
	if(is_front_page()) { ?>
    
	<div class="inner">
    	<div class="box">
			<div class="image_carousel">
				<div id="foo1">
                <?php 
					if( have_rows('slides', 'options')):
					while ( have_rows('slides', 'options')) : the_row(); ?>
					<h2>
                        <a href="<?php the_sub_field('slider_image_link'); ?>">
                            <img src="<?php the_sub_field('slider_image'); ?>" alt="<?php the_sub_field('slider_image_alt_text'); ?>" />
                    	</a>
                    </h2>
				<?php 
					endwhile;
					endif;
 				?>
              	</div>
				<div class="clear"></div>
				<a class="prev" id="foo1_prev" href="#"><span>prev</span></a>
				<a class="next" id="foo1_next" href="#"><span>next</span></a>
            </div>
		</div>
	</div>
	<div class="clear"></div>
	
	<?php }
}
add_filter('thesis_hook_container_slider_wrapper_top', 'slider_area');

// ---- End Slider Area ----
// ---- Start Subscribe Area ----

function subscribe_area() { 
	if(is_front_page()) { ?>
    
	<div class="inner">
    	<table border="0" cellpadding="0" cellspacing="0" width="96%" align="center" class="tbl_join">
        	<tr>
        		<td class="title">
                	<div class="top"><h2>Sign Up For Updates From Dean</h2></div>
    				<div class="bottom">
						<form action="http://idea-driven.us3.list-manage2.com/subscribe/post?u=5210e7d3a52368cfbbe943bdd&amp;id=be45a4013b" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate>
						<input type="hidden" name="MMERGE6" value="Dean">							<div class="input">
								<div class="field"><input type="email" name="EMAIL" class="required email" id="mce-EMAIL" value="Enter Your Best Email Address" onfocus="if (this.value == 'Enter Your Best Email Address') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Enter Your Best Email Address';}"></div>
								<div class="send"><input type="submit" value="Subscribe" name="subscribe" id="mc-embedded-subscribe"></div>
							</div>	
							<div id="mce-responses" class="clear"></div>
							<div class="response" id="mce-error-response" style="display: none"></div>
							<div class="response" id="mce-success-response" style="display :none"></div>
						</form>
                    </div>
                </td>
        	</tr>
        </table>

    </div>
	<div class="clear"></div>
    
	<? }
}
add_filter('thesis_hook_container_subscribe_wrapper_top', 'subscribe_area');

// ---- End Subscribe Area ----
// ---- Start Features Area ----

function features_area() {
	if(is_front_page()) { ?>
    	
   	<div class="inner">
    	<h2>Dean Schroeder Is An Experienced Leader Of Strategic Organizational Transformations. Here Are Ways He Can Help Improve Your Organization:</h2>
		<div class="column first">
			<div class="features_image"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/feature_speaking.png" alt="Speaking" /></div>
			<div class="features_title"><h3>Speaking</h3></div>
			<div class="features_text p7ehc-a">Invite Dr. Schroeder to put his insights, energy and passion to work for you at your next business conference as a keynote speaker or as a presenter and/or speaker at your next workshop or dinner program&nbsp;&raquo;</div>
			<div class="features_button"><a href="<?php bloginfo('url'); ?>/services#speaking/">Learn More&nbsp;&nbsp;<span><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_more.png" alt="" /></span></a></div>
		</div>
		<div class="column center">
			<div class="features_image"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/feature_consulting.png" alt="Consulting" /></div>
			<div class="features_title"><h3>Consulting</h3></div>
			<div class="features_text p7ehc-a">When you’re ready to invite Dr. Schroeder to help your organization unlock the huge potential in your employees' ideas, he'll be ready with ideas on how to improve your systems, techniques and profitability&nbsp;&raquo;</div>
			<div class="features_button"><a href="<?php bloginfo('url'); ?>/services#consulting/">Learn More&nbsp;&nbsp;<span><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_more.png" alt="" /></span></a></div>
		</div>
		<div class="column last">
			<div class="features_image"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/feature_publications.png" alt="Publications" /></div>
			<div class="features_title"><h3>Publications</h3></div>
			<div class="features_text p7ehc-a">With three books and many more articles to his credit, Dr. Schroeder continues to share his timeless ideas on management, including his latest work on how to solicit the best ideas from your front-line employees&nbsp;&raquo;</div>
			<div class="features_button"><a href="<?php bloginfo('url'); ?>/publications/">Learn More&nbsp;&nbsp;<span><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_more.png" alt="" /></span></a></div>
		</div>
        <div class="clear"></div>
    </div>
    
	<? }
}
add_filter('thesis_hook_container_features_wrapper_top', 'features_area');

// ---- End Features Area ----
// ---- Start Feeds Area ----

function feeds_area() { 
	if(is_front_page()) { ?>
        
   	<div class="inner">
		<div class="column first">
			<div class="feed_title"><h3>Latest Blog Article</h3></div>
            <?php 
				// ---- Start Loop ----
				$custom_loop = new WP_Query('showposts=1&ignore_sticky_posts=1');
    			$output = "";
				if ( $custom_loop->have_posts() ) : 
        		// ---- open box wrapper ----
        		while ( $custom_loop->have_posts() ) : $custom_loop->the_post(); 
				// ---- load post data ----
            	global $post; 
				// ---- prepare necessary variables ----
            	$img = "";
				$post_url = get_permalink($post->ID);
            	$post_title = get_the_title($post->ID);
				$a_title = esc_attr($post_title);
				$thumbnail_data = get_post_meta($post->ID, '_thesis_post_thumbnail', true); 
                if(!empty($thumbnail_data) && is_array($thumbnail_data)) { 
                	$thumbnail_url = (!empty($thumbnail_data['image']['url'])) ? $thumbnail_data['image']['url'] : ""; /* source of the thumbnail */ 
                	$thumbnail_width = (!empty($thumbnail_data['image']['width'])) ? $thumbnail_data['image']['width'] : ""; /* width */ 
                	$thumbnail_height = (!empty($thumbnail_data['image']['height'])) ? $thumbnail_data['image']['height'] : ""; /*height */ 
                	// ---- image html constructed ---- 
					$img = "<img class=\"flex\" src=\"{$thumbnail_url}\" alt=\"{$a_title}\" />"; 
            	} 
            	$a_before = "<a href=\"{$post_url}\">";
            	$a_after = "</a>";
				$a_bemore = "<a href=\"{$post_url}\">Read More</a>";
				$post_month = get_the_time( 'M', ($post->ID));
				$post_date = get_the_time( 'd', ($post->ID));
				$post_year = get_the_time( 'Y', ($post->ID));
				$category = get_the_category(); 
				$cat_before = '<a href="' . get_category_link($category[0]->term_id ) . '">';
				$post_cat = $category[0]->cat_name;
				$cat_after = "</a>";
				$post_excerpt = get_the_excerpt();
				$post_more = 'Read More';
            	// ---- start html constructor ----
				$output .= "<div class=\"feed_master\">\n";
				$output .= "{$a_before}{$img}{$a_after}\n"; 
				$output .= "<h4 class=\"feed_title\">{$a_before}{$post_title}{$a_after}</h4>\n";
				$output .= "<div class=\"feed_date\"><span>{$post_date} {$post_month} {$post_year}</span><span class=\"spacer\"> | </span><span class=\"meta_cat\">{$cat_before}{$post_cat}{$cat_after}</span>\n</div>\n";																  
				$output .= "<div class=\"feed_excerpt\">\n{$post_excerpt}<span class=\"feed_more\">{$a_bemore}{$a_after}</span></div>\n"; 
				$output .= "</div>\n";
				endwhile;
    			endif;
				wp_reset_query();
    			wp_reset_postdata();
    			echo $output; 
			?>
		</div>
        
		<div class="column last">
			<div class="feed_title"><h3>Testimonials</h3></div>
			<div class="praise">
				<?php 
				$rows = get_field('book_praise', 'option' ); 
				$rand_row = $rows[array_rand($rows)]; 
				$rand_row_comment = $rand_row['praise_comment']; 
				$rand_row_name = $rand_row['praise_name'];
				$rand_row_org = $rand_row['praise_org'];
				?>
				<div class="review">
					<span class="quote_top">“</span><span class="comment"><?php echo $rand_row_comment; ?></span><span class="quote_bottom">”</span>
					<div class="clear"></div>
				</div>
			</div>
            <div class="attribute">
            	<span class="quote_bar"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/quote_bar.png" alt="Publications" /></span>
				<span class="name">~ <?php echo $rand_row_name; ?></span>
				<span class="org"><?php echo $rand_row_org; ?></span>
            </div>
		</div>
    	<div class="clear"></div>
        
	<? }
}	
add_filter('thesis_hook_container_feeds_wrapper_top', 'feeds_area');

// ---- End Feeds Area ----
// ---- Start Projects Area ----

function projects_area() {
	if(is_front_page()) { ?>
   	<div class="inner">
		<div class="column first">
        	<div class="feed_title"><h3>Latest Project</h3></div>
            <div class="feed_master">
				<a target="_blank" href="http://www.amazon.com/The-Idea-Driven-Organization-Unlocking-Bottom-Up/dp/1626561230">
                	<img class="flex" src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/projects_idea_driven.png" alt="">
                </a>
				<h4 class="feed_title"><a href="http://www.amazon.com/The-Idea-Driven-Organization-Unlocking-Bottom-Up/dp/1626561230">The Idea Driven Organization</a></h4>
				<div class="feed_date">Dean M. Schroeder & Alan G. Robinson</div>
				<div class="feed_excerpt">In The Idea-Driven Organization, Robinson and Schroeder argue that the employees who interact directly with your customers, make your products, and provide your services, are in the best position to see what improvements would have the most impact&nbsp;&raquo;&nbsp; <span class="feed_more"><a href="http://www.amazon.com/The-Idea-Driven-Organization-Unlocking-Bottom-Up/dp/1626561230">Read More</a></span></div>
            	<div class="clear"></div>
            </div>
		</div>        
		<div class="column last">
        	<div class="margin-bottom: 20px; ">
				<div class="links read"><a target="_blank" href="http://idea-driven.com/landing/idea-driven-sample-chapter">Read A Sample Chapter</a></div>
				<div class="links buy"><a target="_blank" href="http://www.amazon.com/The-Idea-Driven-Organization-Unlocking-Bottom-Up/dp/1626561230">Order Now On Amazon</a></div>
				<div class="links bulk"><a target="_blank" href="http://800ceoread.com/products/idea_driven_organization-alan_g_robinson_dean_m_schroeder-english">Bulk Order On 800-CEO-Read</a></div>
				<div class="links blog"><a target="_blank" href="http://idea-driven.com/blog">Visit The Blog</a></div>
				<div class="links reviews"><a target="_blank" href="http://idea-driven.com/about-idea-driven-organization#reviews">Read Book Reviews</a></div>
            </div>
		</div>
    	<div class="clear"></div>
	
	<? }
}
add_filter('thesis_hook_container_projects_wrapper_top', 'projects_area');

// ---- End Projects Area ----
// ---- Start Title Area ----

function title_area() { 
	if(!is_front_page()) { ?>	
    <table border="0" cellpadding="0" cellspacing="0" align="center" class="tbl_title">
    	<tr>
            <td class="spacer_center">
				<h2 class="title">
				<?php
					global $post;
					if(is_home() || is_single()) { ?>Read The Blog<?php }
					elseif(is_author()) { ?>Posts By: &nbsp;<?php the_author_meta( 'display_name' ); ?><?php }
					elseif(is_category()) { ?>Category:&nbsp;<?php single_cat_title(); }
					elseif(is_tag()) { ?>Tag:&nbsp;<?php single_tag_title(); }
					elseif(is_search()) { printf( __( 'Search Results for: %s' ), '<span>' . get_search_query() . '</span>'); }
					else { the_title(); }
		 			wp_reset_postdata(); 
		 		?>
				</h2>
            </td>
        </tr>
    </table>
	
	<? }
}
add_filter('thesis_hook_container_title_area_top', 'title_area');

// ---- End Title Area ----
// ---- Start Contact Area ----

function contact_area() {
	if(is_page('contact')) { ?>
        
    <div class="summary">
    	<table border="0" cellpadding="0" cellspacing="0" align="center" width="500px" class="tbl_contact">
        	<tr>
            	<td>
                	<h3>Get In Touch With Dean</h3>
                    <div class="text">Please contact Dr. Schroeder vial email for more information or to talk about your situation. He welcomes all inquiries.</div>          	          	
                </td>
            </tr>
			<tr>
            	<td>
					<div class="email" >Email: <a href="mailto:dean@deanmschroeder.com">dean@deanmschroeder.com</a></div>
                </td>
            </tr>
        </table>
    </div>
	<img class="flex" src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/bg_contact.png" alt="" />
	
	<? }
}
add_filter('thesis_hook_container_contact_area_top', 'contact_area');

// ---- End Contact Area ----
// ---- Start Subtitle Area ----

function subtitle_area() {
	if(is_page('contact')) { ?>

	<div class="inner">
    	<table border="0" cellpadding="0" cellspacing="0" width="100%" align="center">
        	<tr>
        		<td style="vertical-align: middle;">
                	<div class="top"><h2>Use The Form To Send Dean A Message</h2></div>
                </td>
        	</tr>
        </table>

    </div>
	<div class="clear"></div>
	
	<? }
}
add_filter('thesis_hook_container_subtitle_wrapper_top', 'subtitle_area');

// ---- End Subscribe Area ----
// ---- Start Alan Area ----

// ---- Start Footer Area  ----

function footer_area(){ ?>
	
	<div class="inner">
    	<div class="column left_outer">
			<h5>Other Resources</h5>
			<div class="item p7ehc-b">Dean is co-owner and regular contributor to Idea-Driven.com, a website and blog named for his best-selling book <em>The Idea Driven Organization</em>. To learn more about how to unlock the potential in your organization visit <a href="http://idea-driven.com">Idea-Driven.com</a> today.</div>
        </div>
		<div class="column left_inner">
			<h5>Social Networks</h5>
			<div class="item p7ehc-b">
				<ul>
					<li>
						<a target="_blank" href="https://www.facebook.com/dean.schroeder.98">
							<div class="icon"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_facebook_white.png" alt=""></div>
							<div class="label">Facebook</div>
                    	</a>
                    </li>
					<li>
						<a target="_blank" href="https://twitter.com/deanmschroeder">
                       		<div class="icon"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_twitter_white.png" alt=""></div>
                            <div class="label">Twitter</div>
                    	</a>
                    </li>
					<li>
                    	<a target="_blank" href="http://www.linkedin.com/pub/dean-schroeder/6/937/337">
							<div class="icon"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_linkedin_white.png" alt=""></div>
							<div class="label">LinkedIn</div>
						</a>
                    </li>
					<li>
						<a href="<?php bloginfo('url'); ?>/contact">
							<div class="icon"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_email_white.png" alt=""></div>
                            <div class="label">Email</div>
                    	</a>
                    </li>
					<li>
						<a href="<?php bloginfo('url'); ?>/rss">
							<div class="icon"><img src="<?php echo(THESIS_USER_SKINS_URL); ?>/mobile-first/images/icon_rss_white.png" alt=""></div>
							<div class="label">RSS Feed</div>
                    	</a>
                    </li>
				</ul>
            </div>
        </div>
       	<div class="column right_inner">
			<h5>Get In Touch</h5>
            <div class="item p7ehc-b">
                 <ul>
                 	<li>Dr. Dean M. Schroeder</li>
					<li><a href="mailto:dean@deanmschroeder.com">dean@deanmschroeder.com</a></li>
				</ul>
			</div>
		</div>
        <div class="column right_outer">
			<h5>More Info</h5>
			<div class="item p7ehc-b">
                <ul>
					<li><a href="<?php bloginfo('url'); ?>/privacy-policy">Privacy Policy</a></li>
					<li><a href="<?php bloginfo('url'); ?>/terms-of-use">Terms Of Use</a></li>
					<li><a href="<?php bloginfo('url'); ?>/site-map">Site Map</a></li>
                 </ul>
                </div>
        	</div>
            <div class="clear"></div>
        <div class="bottom">
          	<span class="copyright">Dean M. Schroeder &copy; <?php echo date("Y"); ?></span>
       		<span class="separator"> | </span>
            <span class="attribution"><a href="http://weavinginfluence.com" target="_blank">Site By Weaving Influence</a></span>
       </div>
	</div>  
    
	<?php 
}
add_filter('thesis_hook_container_footer_wrapper_top', 'footer_area');

// ---- End Footer Area  ----
// ---- Start Postload ----

function front() {
	if(is_front_page()) { ?>
	
	<script type="text/javascript">
		jQuery("#foo1").carouFredSel({
		responsive : true,
		items: {
			visible: 1,
			minimum: 1,
			width: 1200,
			height: "42.5%"
		},
		scroll: {
			fx: "fade",
			duration: 1000,
			pauseOnHover: true
		},
		auto: 7000,
		prev  : "#foo1_prev",
		next  : "#foo1_next"
		});
	</script>
     
	<?php }
}
		
add_filter('thesis_hook_after_html', 'front');

function post_load () { ?>

	<script>
 		jQuery(document).ready(function(){
    	jQuery(".format_text").fitVids();
  		});
	</script>
	<script src="<?php echo(THESIS_USER_SKINS_URL) ?>/mobile-first/scripts/fitvids.js" type="text/javascript"></script>
    <script type="text/javascript">jQuery("li.cat-item").last().addClass("last");</script>
    <script type="text/javascript">jQuery(".button_area").last().addClass("last");</script>	
    <script type="text/javascript">jQuery("#sidebar .feed_master").last().addClass("last");</script>	
    <script type="text/javascript">jQuery(".foot span").last().addClass("last");</script>	
	<?php }
	
add_filter('thesis_hook_after_html', 'post_load');

// ---- End Postload ----
// ---- Start Custom Excerpt Area  ----

function custom_wp_trim_excerpt($text) {
	
$allowed_tags = '<div>,<span>'; 
$raw_excerpt = $text;
if ( '' == $text ) {
    $text = get_the_content('');
    $text = strip_shortcodes( $text );
    $text = apply_filters('the_content', $text);
    $text = str_replace(']]>', ']]&gt;', $text);
	$text = preg_replace(" (\[.*?\])",'',$text);
	$text = strip_tags($text, $allowed_tags);
if(is_home() || is_archive()) { $text = substr($text, 0, 480); } 
else { $text = substr($text, 0, 250); }
$text = substr($text, 0, strripos($text, " "));
$text = trim(preg_replace( '/\s+/', ' ', $text));
$text = rtrim($text, '.');
$text = rtrim($text, ',');
if(is_home() || is_archive()) { return $text.'&nbsp;&nbsp;&raquo;&nbsp;&nbsp;<a class="read_link" href="' . get_permalink() . '" style="white-space: nowrap;">Read&nbsp;More</a>'; }
else { return $text.'&nbsp;&raquo;&nbsp;'; }
}
return apply_filters('wp_trim_excerpt', $text, $raw_excerpt);
}	
remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'custom_wp_trim_excerpt');

// ---- End Postload ----
// ---- End ----

?>